petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecNestSetSubVec

Set a single component vector in a nest vector at specified index.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestSetSubVec(Vec X,PetscInt idxm,Vec sx)

Not collective Many br

### Input Parameters

| X | - nest vector Many br
| idxm | - index of the vector within the nest vector Many br
| sx | - vector at index idxm within the nest vector Many br

### Notes

The new vector sx does not have to be of same size as X[idxm]. Arbitrary vector layouts are allowed. Many br

Many br

### See Also

VecNestSetSubVecs(), VecNestGetSubVec()

Level:developer
Location:src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages